OpenVDB: PointKernel Struct Reference

OpenVDB 8.1.0

Public Types | Static Public Member Functions | Static Public Attributes | List of all members
PointKernel Struct Reference

The function definition and signature which is built by the PointComputeGenerator. More...

`#include <PointComputeGenerator.h>`

Inherited by PointRangeKernel.

## Public Types
using | Signature = void(const void *const, const void *const, uint64_t, void **, void **, void *)
| The signature of the generated function. More...
using | FunctionTraitsT = codegen::FunctionTraits< Signature >

## Static Public Member Functions
static const std::array< std::string, N_ARGS > & | argumentKeys ()
| The argument key names available during code generation. More...
static std::string | getDefaultName ()

## Static Public Attributes
static const size_t | N_ARGS = FunctionTraitsT::N_ARGS

## Detailed Description

The function definition and signature which is built by the PointComputeGenerator.

The argument structure is as follows:

1) - A void pointer to the CustomData 2) - A void pointer to the leaf AttributeSet 3) - An unsigned integer, representing the leaf relative point id being executed 4) - A void pointer to a vector of void pointers, representing an array of attribute handles 5) - A void pointer to a vector of void pointers, representing an array of group handles 6) - A void pointer to a LeafLocalData object, used to track newly initialized attributes and arrays

## Member Typedef Documentation

## ◆ FunctionTraitsT

using FunctionTraitsT = codegen::FunctionTraits<Signature>

## ◆ Signature

using Signature = void(const void* const, const void* const, uint64_t, void**, void**, void*)

The signature of the generated function.

## Member Function Documentation

## ◆ argumentKeys()

static const std::array<std::string, N_ARGS>& argumentKeys | ( |  | ) |
| static

The argument key names available during code generation.

## ◆ getDefaultName()

static std::string getDefaultName | ( |  | ) |
| static

## Member Data Documentation

## ◆ N_ARGS

const size_t N_ARGS = FunctionTraitsT::N_ARGS
| static

The documentation for this struct was generated from the following file:

- PointComputeGenerator.h